post
https://api-sdk.lmnl.dev/api/wallet/transaction-status
This API is a request to retrieve the current status of a transaction.
The data.status parameter in the 200 OK response has the following status types:
| Status Type | Status Meaning |
|---|---|
| 1 | Pending - The transaction is initiated but not yet processed. |
| 2 | Broadcasted - The transaction is announced to the network. |
| 4 | Confirmed - The transaction has been validated and is now included in the blockchain. |
| 5 | Canceled/Failed - The transaction has failed. |
Note
Status type 3 is reserved for internal use by Liminal.
The following values are sliced to the decimal points:
value(8 decimal),baseValue(8 decimal),valueString(8 decimal),baseValueString(8 decimal),feeString(8 decimal), andusd(5 decimal).
To retrieve details of a pending transaction, use the Retrieve pending transactions API. While all liminal supported chains support firewall for Mobile MPC Wallets, please refer to the latest supported chains for hot V2 wallets supporting firewall.
